import "Turbine";
import "Turbine.Gameplay";
import "Turbine.UI";
import "Turbine.UI.Extensions";
import "Turbine.UI.Lotro";
import "Turbine.Utils";

AppDir = "Wicky71Plugins.Notes2";
AppDirD = AppDir..".";
AppLocaleD = AppDirD.."Locale.";

import (AppDir);
--import (AppDirD.."Locale");

--**v Get player instance v**
Player = Turbine.Gameplay.LocalPlayer.GetInstance();
PN = Player:GetName();

--**v Detect Game Language v**
-- Legend: 0 = invalid / 2 = English / 268435457 = EnglishGB / 268435459 = Francais / 268435460 = Deutsch / 268435463 = Russian
GLocale = Turbine.Engine.GetLanguage();
if GLocale == 0 or GLocale == 2 or GLocale == 268435457 then import (AppLocaleD.."en");
elseif GLocale == 268435459 then import (AppLocaleD.."fr");
elseif GLocale == 268435460 then import (AppLocaleD.."de"); end
--elseif GLocale == 268435463 then import (AppLocaleD.."ru"); end
--**^

--Global variables;
isNew = false;
diff = 40;
		
LoadSettings();
LoadNote();

Notes2 = Notes2Window();
Notes2:SetVisible( Settings_Char.V );
Notes2:SetWantsKeyEvents( Settings_Char.V );

Notes2Command = Turbine.ShellCommand();

function Notes2Command:Execute( command, arguments )
	Notes2:SetVisible( not Notes2:IsVisible() );
	Notes2:SetWantsKeyEvents( not Notes2:GetWantsKeyEvents() );
end

function Notes2Command:GetHelp()
	return "Shows the Simply Notes window.";
end

function Notes2Command:GetShortHelp()
	return "Shows Simply Notes.";
end

Turbine.Shell.AddCommand( "tob;Notes", Notes2Command );

listCommandsCommand = Turbine.ShellCommand();

-- plugin load event
plugin.Load = function()
	Turbine.Shell.WriteLine( L["MSGLoad"] );
end

-- plugin unload event
plugin.Unload = function()
	SaveSettings();
	Turbine.Shell.WriteLine( L["MSGULoad"] );
end
